import React from 'react'
import { View, TouchableOpacity, TextStyle, ViewStyle, StyleSheet, } from 'react-native'
import c from '../../color/colors'
import t from '../../translator/translator'


import { MyText, } from '../texts'


type Props = {
    containerViewStyle: ViewStyle,
    titleTextStyle: TextStyle,
    title: String,
    onPress: () => void,
}


export default SimpleBtnView = (props: Props) =>
{

    return (
        <View style={ [styles.container, props.containerViewStyle] }>
            <TouchableOpacity
                style = { styles.btn }
                onPress = { props.onPress }
            >
                <MyText style={ [styles.btnText, props.titleTextStyle] }>{ props.title }</MyText>
            </TouchableOpacity>
        </View>
    )
}
SimpleBtnView.defaultProps = {

}



const styles = StyleSheet.create({
    container: {

    },
    btn: {
        height: 48,
        alignItems: 'center',
        justifyContent: 'center',
        backgroundColor: c().main_yellow,
        borderRadius: 16,
    },
    btnText: {
        fontSize: 12,
        fontWeight: 'bold',
    },
})
