import React from 'react'
import { Image, TouchableOpacity, StyleSheet, } from 'react-native'
import Colors from '../../constants/Colors'


type Props = {
    onPress: () => void,
}


let PlusFabBtn = (props: Props) =>
(
    <TouchableOpacity
        style = { styles.container }
        onPress = { props.onPress }
    >
        <Image
            style = { styles.icon }
            source = { require('../../../assets/images/icons/fab_plus_32x32.png') }
            resizeMode = 'contain'
        />
    </TouchableOpacity>
)
export default React.memo(PlusFabBtn)
      


const styles = StyleSheet.create({
    container: {
        height: 50,
        width: 50,
        position: 'absolute',
        right: 20,
        bottom: 50,
        alignItems: 'center',
        justifyContent: 'center',
        backgroundColor: Colors.d_Green,
        borderRadius: 30,

        // Shadow
        shadowColor: "#000",
        shadowOffset: {
            width: 0,
            height: 1,
        },
        shadowOpacity: 0.22,
        shadowRadius: 2.22,

        elevation: 3,
    },
    icon: {
        height: 20,
    },
})