import React from 'react'
import { createStackNavigator } from '@react-navigation/stack'

import MainTabPage from '../pages/mainTabPage/MainTabPage'
import NoticifationPrankCameraPage from '../pages/noticifationPrankCameraPage/NoticifationPrankCameraPage'
import ShareVideoPage from '../pages/shareVideoPage/ShareVideoPage'
import VoicePrankCameraPage from '../pages/voicePrankCameraPage/VoicePrankCameraPage'


const Stack = createStackNavigator()


export default function MainNavigation()
{
    return (
        <Stack.Navigator
            initialRouteName = 'MainTabPage'
            headerMode = 'none'
        >
            <Stack.Screen name='MainTabPage' component={ MainTabPage }/>
            <Stack.Screen name='NoticifationPrankCameraPage' component={ NoticifationPrankCameraPage }/>
            <Stack.Screen name='ShareVideoPage' component={ ShareVideoPage }/>
            <Stack.Screen name='VoicePrankCameraPage' component={ VoicePrankCameraPage }/>

            {/* // --- Helper Pages --- // */}
            {/* <Stack.Screen name='SelectBoxPage' component={ SelectBoxPage }/> */}
        </Stack.Navigator>
    )
}
