import React from 'react'
import { View, ViewStyle, Image, StyleSheet, } from 'react-native'
import c from '../../../color/colors'
import t from '../../../translator/translator'

import { MyText, } from '../../../components/texts'
import { MyTextInput, } from '../../../components/textInputs'


type Props = {
    containerViewStyle: ViewStyle,
}


export default CommentInputView = (props: Props) =>
{
    return (
        <View style={ [styles.container, props.containerViewStyle] }>
            <Image
                source = { require('../../../../assets/icons/common/person_32x32_icon.png') }
            />
            <MyTextInput
                style = { styles.commentInput }
                placeholder = 'Place your comment...'
                placeholderTextColor = { c().main_gray }
            />
        </View>
    )
}
CommentInputView.defaultProps = {

}



const styles = StyleSheet.create({
    container: {
        flexDirection: 'row',
        alignItems: 'center',
    },
    commentInput: {
        marginLeft: 16,
        flex: 1,
        lineHeight: 21,
        color: c().main_gray,
    },
})
