import React from 'react'
import { View, ViewStyle, LayoutChangeEvent, StyleSheet, Linking, } from 'react-native'
import c from '../../../color/colors'
import t from '../../../translator/translator'

import { MyText, } from '../../../components/texts'
import { SimpleBtnView, } from '../../../components/buttons'
import CommentsBtn from './CommentsBtn'
import InfoTextView from './InfoTextView'
import CommentInputView from './CommentInputView'


type Props = {
    containerViewStyle: ViewStyle,
    videoUrl: String,
    onLayout: (e: LayoutChangeEvent) => void,
    onPressStartTheFun: () => void,
}


export default ExpandedItemPartView = (props: Props) =>
{
    return (
        <View
            style = { [styles.container, props.containerViewStyle] }
            onLayout = { props.onLayout }
        >
            <MyText style={ styles.privacyText }>{ t().You_can_see_an_example_of_a_prank_at_this() }:</MyText>
            <MyText
                style = { { color: c().main_yellow, fontWeight: 'bold' } }
                onPress = { () => props.videoUrl && Linking.openURL(props.videoUrl) }
            >{ t().link() }</MyText>
            <SimpleBtnView
                containerViewStyle = { { marginTop: 24, marginBottom: 16, } }
                title = { t().startTheFunBtn() }
                onPress = { props.onPressStartTheFun }
            />
            {/* <CommentsBtn
                containerViewStyle = { { marginTop: 20 } }
            /> */}
            {/* <InfoTextView
                containerViewStyle = { { marginTop: 8, marginBottom: 16 } }
            /> */}
            {/* <CommentInputView
                containerViewStyle = { { marginTop: 8, marginBottom: 16 } }
            /> */}
        </View>
    )
}
ExpandedItemPartView.defaultProps = {

}



const styles = StyleSheet.create({
    container: {

    },
    privacyText: {
        color: c().main_gray,
    },
})
