import React, { Component } from 'react'
import { Text, View, ScrollView, TextInput, FlatList, Alert, StyleSheet, } from 'react-native'
import { StackNavigationProp, } from '@react-navigation/stack'
import { store } from '../../redux/store'
import { LangGlobalModalAC, } from '../../redux/actionCreators'
import c from '../../color/colors'
import t from '../../translator/translator'

import BasePurePage from '../BasePurePage'
import TabPagePageViewer from '../../components/pageViewers/TabPagePageViewer'
import TabHeaderView from '../../components/headers/TabHeaderView'

type Props = {
    navigation: StackNavigationProp<''>,
}


export default class Tab__Page extends BasePurePage<Props>
{
    state: {

    }

    constructor(props)
    {
        super(props)

        this.state = {

        }
    }

    render()
    {
        return (
            <TabPagePageViewer>

                <TabHeaderView
                    title = { t().tab_3 }
                    onPressLang = { () => store.dispatch(LangGlobalModalAC.toggleVisibility(true)) }
                />

                <View
                    style = { styles.container }
                >
                    <Text style={ styles.infoText }>{ t().In_developing() }</Text>
                </View>

            </TabPagePageViewer>
        )
    }

}



const styles = StyleSheet.create({
    container: {
        flex: 1,
        alignItems: 'center',
        justifyContent: 'center',
        backgroundColor: c().d_background,
    },
    scrollCnt: {
        paddingBottom: 100,
    },
    infoText: {
        fontSize: 16,
        fontWeight: 'bold',
        color: c().main_yellow,
    },
})
